## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterStringLengthCounter Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces counts the characters sent to the characters event. More...

`#include <FormatterStringLengthCounter.hpp>`

Inheritance diagram for FormatterStringLengthCounter:

[legend]
Collaboration diagram for FormatterStringLengthCounter:

[legend]
List of all members.

## Public Types

- typedef unsigned long size_type

## Public Methods

- FormatterStringLengthCounter ()
    FormatterStringLengthCounter instance constructor. More...
- virtual ~FormatterStringLengthCounter ()
- size_type getCount () const
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
    Receive notification of a entityReference. More...
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()
- virtual void comment (const XMLCh *const data)
    Called when a Comment is to be constructed. More...
- virtual void cdata (const XMLCh *const ch, const unsigned int length)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces counts the characters sent to the characters event.

## Member Typedef Documentation

typedef unsigned long FormatterStringLengthCounter::size_type

| Reimplemented from FormatterListener.

## Constructor & Destructor Documentation

FormatterStringLengthCounter::FormatterStringLengthCounter ( | )`[explicit]`

| FormatterStringLengthCounter instance constructor.

FormatterStringLengthCounter::~FormatterStringLengthCounter ( | )`[virtual]`

## Member Function Documentation

void FormatterStringLengthCounter::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

void FormatterStringLengthCounter::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterStringLengthCounter::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterStringLengthCounter::comment ( | const XMLCh *const data )`[virtual]`

  | Called when a Comment is to be constructed. Parameters:
  data | pointer to comment data
  Exceptions:
  SAXException |
Reimplemented from FormatterListener.

void FormatterStringLengthCounter::endDocument ( | )`[virtual]`

| Reimplemented from FormatterListener.

void FormatterStringLengthCounter::endElement ( | const XMLCh *const name )`[virtual]`

| Reimplemented from FormatterListener.

void FormatterStringLengthCounter::entityReference ( | const XMLCh *const name )`[virtual]`

  | Receive notification of a entityReference. Parameters:
  data | pointer to characters from the XML document
  Exceptions:
  SAXException |
Reimplemented from FormatterListener.

size_type FormatterStringLengthCounter::getCount ( | ) const

void FormatterStringLengthCounter::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterStringLengthCounter::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

| Reimplemented from FormatterListener.

void FormatterStringLengthCounter::resetDocument ( | )`[virtual]`

| Reimplemented from FormatterListener.

void FormatterStringLengthCounter::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

| Reimplemented from FormatterListener.

void FormatterStringLengthCounter::startDocument ( | )`[virtual]`

| Reimplemented from FormatterListener.

void FormatterStringLengthCounter::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

| Reimplemented from FormatterListener.

The documentation for this class was generated from the following file:

- FormatterStringLengthCounter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.